import isNode from 'detect-node';
export const isServer = isNode && !process.browser;
export const localeSubpathOptions = {
  ALL: 'all',
  FOREIGN: 'foreign',
  NONE: 'none'
};
const DEFAULT_LANGUAGE = 'en';
const OTHER_LANGUAGES = [];
const DEFAULT_NAMESPACE = 'common';
const LOCALE_PATH = 'static/locales';
const LOCALE_STRUCTURE = '{{lng}}/{{ns}}';
const LOCALE_SUBPATHS = localeSubpathOptions.NONE;
const config = {
  defaultLanguage: DEFAULT_LANGUAGE,
  otherLanguages: OTHER_LANGUAGES,
  load: 'currentOnly',
  localePath: LOCALE_PATH,
  localeStructure: LOCALE_STRUCTURE,
  localeSubpaths: LOCALE_SUBPATHS,
  ns: [DEFAULT_NAMESPACE],
  use: [],
  defaultNS: DEFAULT_NAMESPACE,
  interpolation: {
    escapeValue: false,
    formatSeparator: ',',
    format: (value, format) => format === 'uppercase' ? value.toUpperCase() : value
  },
  browserLanguageDetection: true,
  serverLanguageDetection: true,
  ignoreRoutes: ['/_next', '/static'],
  customDetectors: [],
  detection: {
    lookupCookie: 'next-i18next',
    order: ['cookie', 'header', 'querystring'],
    caches: ['cookie']
  },
  react: {
    wait: true
  },
  strictMode: true,
  errorStackTraceLimit: 0
};

if (isServer) {
  const path = require('path');

  config.backend = {
    loadPath: path.join(process.cwd(), `${LOCALE_PATH}/${LOCALE_STRUCTURE}.json`),
    addPath: path.join(process.cwd(), `${LOCALE_PATH}/${LOCALE_STRUCTURE}.missing.json`)
  };
} else {
  config.backend = {
    loadPath: `/${LOCALE_PATH}/${LOCALE_STRUCTURE}.json`,
    addPath: `/${LOCALE_PATH}/${LOCALE_STRUCTURE}.missing.json`
  };
}

export default config;